Summary: ProFTPd -- Professional FTP Server.
Name: proftpd
Version: 1.2.8
Release: 11tr
License: GPL
Group: Network/Services
URL: http://www.proftpd.net/
Source0: ftp://ftp.proftpd.org/distrib/%{name}-%{version}p.tar.gz
Source1: proftpd.conf
Patch0: proftpd-1.2.6-init.patch
Prefix:	/usr
BuildRoot: /var/tmp/%{name}-root
Requires: pam >= 0.59 chkconfig
Provides: ftpserver
Prereq: fileutils gawk setup sed /sbin/chkconfig /sbin/restart_maybe

%description
ProFTPd is an enhanced FTP server with a focus toward simplicity,
security, and ease of configuration.  It features a very Apache-like
configuration syntax, and a highly customizable server infrastructure,
including support for multiple 'virtual' FTP servers, anonymous FTP, and
permission-based directory visibility.

%prep
%setup -q
%patch0 -p1 -b .init 

%build
./configure \
	--prefix=%{prefix} \
	--sysconfdir=/etc \
	--localstatedir=/var/run \
	--with-modules=mod_ratio:mod_readme:mod_auth_pam \
	--mandir='${prefix}/share/man'

make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make 	prefix=$RPM_BUILD_ROOT%{prefix} \
	localstatedir=$RPM_BUILD_ROOT/var/run \
	rundir=$RPM_BUILD_ROOT/var/run/proftpd \
	sysconfdir=$RPM_BUILD_ROOT/etc \
install

mkdir -p $RPM_BUILD_ROOT/home/ftp
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m 644 contrib/dist/rpm/ftp.pamd $RPM_BUILD_ROOT/etc/pam.d/ftp
install contrib/dist/rpm/proftpd.init.d $RPM_BUILD_ROOT/etc/rc.d/init.d/proftpd
install -m644 %SOURCE1 $RPM_BUILD_ROOT/etc/proftpd.conf

%preun
# nuke everyting only on 'rpm -e proftpd' 
if [ $1 = 0 ]; then
        /sbin/chkconfig --del proftpd
	rm -rf /var/run/proftpd/*
fi

%post
# Make /etc/ftpusers
if [ ! -s /etc/ftpusers ]; then
	awk -F: '{ if ( $3 < 500 ) print $1 }' /etc/passwd > /etc/ftpusers
fi
# Make correct symlinks.
/sbin/chkconfig --add proftpd
# Restart service after upgrade.
/sbin/restart_maybe proftpd

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/sbin/*
/usr/bin/*
%dir /var/run/proftpd
%dir /home/ftp
%config(noreplace) /etc/pam.d/ftp

%doc README README.* doc/*
%doc contrib/README contrib/README.* contrib/xferstats.holger-preiss
%doc sample-configurations/*
/usr/share/man/*/*

/etc/rc.d/init.d/proftpd
%config(noreplace) /etc/proftpd.conf

%changelog
* Wed Oct  1 2003 Erlend Midttun <erlendbm@trustix.com>
- New upstream.

* Thu Jan  3 2002 Christian H. Toldnes <christht@trustix.com>
- Upgraded to 1.2.4
- Chkconfig bug now fixed.
- General packages cleanup.

* Mon May 14 2001 Oystein Viggen <oysteivi@trustix.com>
- configure does not use more than 1 --with-modules

* Wed Mar 28 2001 Alexander Reelsen <ar@trustix.com>
- Short term security fix

* Tue Mar  6 2001 Oystein Viggen <oysteivi@trustix.com>
- Update to v1.2.1

* Wed Feb 14 2001 Erlend Midttun <erlendbm@trustix.com>
- Fixed typo in default config file.

* Fri Nov  3 2000 Erlend Midttun <erlendbm@trustix.com>
- Trying to do ftpusers again.

* Tue Sep 12 2000 Per Ivar Paulsen <perp@trustix.com>
- Updated to rc2

* Wed Jul 26 2000 Oystein Viggen <oysteivi@trustix.com>
- Generate /etc/ftpusers during install

* Fri Mar 17 2000 Per Ivar Paulsen <perp@trustix.com>
- Added better default configuration

* Mon Jan 24 2000 Per Ivar Paulsen <perp@trustix.com>
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS
- Picked up ProFTPd 1.2.0pre10

* Thu Oct 3 1999 O.Elliyasa <osman@Cable.EU.org>
- Multi package creation.
  Created core, standalone, inetd (&doc) package creations.
  Added startup script for init.d
  Need to make the "standalone & inetd" packages being created as "noarch"
- Added URL.
- Added prefix to make the package relocatable.

* Wed Sep 8 1999 O.Elliyasa <osman@Cable.EU.org>
- Corrected inetd.conf line addition/change logic.

* Sat Jul 24 1999 MacGyver <macgyver@tos.net>
- Initial import of spec.
